This page is basically a "checklist" for visualization software on Davinci.

Visualization Software at NERSC on DaVinci

Supported
Visualization Applications
ApplicationNotesStatus/Next Action
AVS5
  • Will be present on davinci.
  • Does the vendor provide an IA64 version? If not, does an IA32 version exist and function?
  • Install on davinci.
  • Module file required.
AVS/Express
  • Will be present on davinci.
  • Does the vendor provide an IA64 version? If not, does an IA32 version exist and function?
  • Install on davinci.
  • Module file required.
EnSight
  • Will be present on davinci.
  • Does the vendor provide an IA64 version? If not, does an IA32 version exist and function?
  • Install on davinci.
  • Module file required.
gnuplot
  • Will be present on davinci.
  • Is usually included with Linux distros.
  • Version 3.7.3-2 is already on davinci.
  • No "module" command needed - gnuplot already inin /usr/bin.
IDL
  • Will be present on davinci.
  • The vendor has no plans to create a native IA64 port. We can run a 32-bit x86 (?) version.
  • Install on davinci.
  • Module file required.
2D Viewers and Image Manipulation Applications
GhostScript and GhostView
  • Will be on davinci.
  • Both usually included with Linux distros.
  • Ghostscript (and gs) 7.05-32.1.8 already on davinci.
  • GhostView (and gv) not installed. Ask vendor for gv RPMs.
  • No "module" file needed for either.
The Gimp
  • Will be on davinci.
  • Usually included with Linux distros.
  • Version 1.2.3-20.1 already on davinci.
  • No "module" file required.
ImageMagick
  • Will be present on davinci.
  • Usually included with Linux distros.
  • Version 5.5.6.4 already on Davinci.
  • No module file needed.
imtools
  • No plans to port to Davinci (the software is over 10 yrs old, and hasn't been updated since about 1996 or 1997).
  • Functionality superceded by gimp, ImageMagick and netpbm tools.
  • None.
XV
  • No plans to port to Davinci.
  • Security notice issued against xv, no response from vendor.
  • No xv updates in the past three years.
  • It may be possible to grab an XV RPM from somewhere.
  • Functionality superceded by the Gimp and ImageMagick.
  • None.


Unsupported
Applications
OpenDX
  • No plans to try and install on davinci.
  • None.
garlic
  • If we can easily grab an RPM or src+easy build, then why not?
  • Determine if an RPM exists.
  • If an RPM exists, no module file needed.
  • If not, find source, attempt to build.
  • If successful, will likely need a module file.
gsharp
  • We're already paying AVS a bunch of money. If we get the application along with the other AVS apps, then it wouldn't hurt to include it on DaVinci.
  • Determine if we have access to an appropriate version of the application as part of our "AVS site license."
  • If so, install the application along with a module file.
grace
  • This is a freeware application. If we want to include it on Davinci, we'll have to download the source and build it.
  • Check usage logs to determine if there is user interest.
  • If there is non-zero interest, then grab the source, build on DaVinci, build a module file.
paraview
  • This is a freeware application. If we want to include it on Davinci, we'll have to download the source and build it.
  • Check usage logs to determine if there is user interest.
  • If there is non-zero interest
pvwave
  • PV-wave will not be a part of the software portfolio on Davinci.
  • None.
rasmol
  • Rasmol is a freeware application, and ought to be included on DaVinci.
  • Grab the source or a binary distro and install it, along with an appropriate module file.
vmd
  • VMD is a freeware application, and ought to be included on DaVinci.
  • There may be an RPM for VMD. Contact the vendor and see if an RPM version is available.
  • If not, grab a binary or src distro, (build) and install along with a module file.
vtk
  • VTK is a freeware distribution.
  • Check to see if an RPM version is available.
  • If not, download the latest version of VTK (requires CMAKE), build and install. Since there is no application per se, it may not be necessary to create a module file.